--- title: "Get Active Hosts" slug: "get-active-hosts" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-active-hosts" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Active Hosts This URL gets the list of active hosts. ## Resource URL GET /ntbamonitors/{ntbaId}/activehosts? TopN= &timePeriod=&startTime=&endTime= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | TopN | Number of top rows, default 50. | Number | No | | timePeriod | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No | | endTime | End time in the format: yyyy-MM-dd HH:mm | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | activeHosts | List of active hosts. | Array | Details of active hosts: | Field Name | Description | Data Type | | --- | --- | --- | | endpointIp | Host IP | String | | hostId | Host id | Number | | lastseen | Last seen | String | | zone | Zone details | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/activehosts?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/activehosts?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11) **Response** ``` { "activeHosts":[{ "hostId":11,"endpointIp":"1.1.1.10", "zone":"Default Inside Zone","lastSeen":"2013-08-27 16:26:14"}] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |